commit:     9963c5ba0b1ce733b36f6f3ffe171e27d679baca
Author:     Adam Pimentel <adam.pimentel <AT> protonmail <DOT> com>
AuthorDate: Tue Jul 16 14:36:10 2024 +0000
Commit:     Adam Pimentel <adam.pimentel <AT> protonmail <DOT> com>
CommitDate: Tue Jul 16 14:36:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9963c5ba

net-p2p/p2pool: version bump

Signed-off-by: Adam Pimentel <adam.pimentel <AT> protonmail.com>

 net-p2p/p2pool/Manifest          |  1 +
 net-p2p/p2pool/p2pool-4.0.ebuild | 53 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/net-p2p/p2pool/Manifest b/net-p2p/p2pool/Manifest
index fac6d3f17..706fce8fd 100644
--- a/net-p2p/p2pool/Manifest
+++ b/net-p2p/p2pool/Manifest
@@ -11,3 +11,4 @@ DIST p2pool-3.6.2.tar.xz 52891908 BLAKE2B 
590a1001a69c308b709fa27c32e1f489662ffe
 DIST p2pool-3.7.tar.xz 52901632 BLAKE2B 
daece7cebbc4227a7822ab78a91b13b773dac5769aa1aae22265a6dc9d5135a6e8abb2c2eee3546732b8769e5552c2d516601bbf058a440ac84bc99db5498f89
 SHA512 
9cd7000aefe47bfde0905d04ab548e712b2b5f80e4e81247918a43bec88e33a352fbb6bc000b6a7d96baac0d591af249e46f615aebd1f3553ec77f773dfd472d
 DIST p2pool-3.8.tar.xz 52882768 BLAKE2B 
f1d4de3d5151d06cfeb6f4a101b701e04aa80ce8a6c9f3675a71e5f4e8b68e59037b9ecd5747f4f79e5b9aa85b98f81b08a955e92683e7db9cff00329695f3f6
 SHA512 
c2de1b0598abe816130c1397bab6099dcd4fe73307c742987da555e7599a8368b290ce139cee3dd484a443d1ccd88b8e8813b546fa87986bbce2045051abcbcc
 DIST p2pool-3.9.tar.xz 52898892 BLAKE2B 
ca90eddd8407f59b7d56e1a94252c9cdc46796090ba0cf1a992c1b0031f4cb778297833d76d26db6e71d93830a11409a34607faf9ced8dac9334e900635188e6
 SHA512 
5968c85f187d9fcab0df5e4fcec78152fd77600362237a1468f215ecf9d53b713f29d0abd1547bb986f63120dcd6100589492e76b48bed19d34c4314b1379e7b
+DIST p2pool-4.0.tar.xz 127772256 BLAKE2B 
77de14bd19f43483fa7da0e65f8a27d5f6cf8c2daf5d8d5e07be373c752794bd35c421fd812b65328acd22004766ff235e9ad6e7e613d08ca3c27ac95153cbc3
 SHA512 
ea37993d13342b303902e6aa6acb090a908ba99ae304d9415480ff39a3647c84a963ab80b317c9c78a9f11631e0ca9547a08c6e0c23b83892037b63d4beef7a2

diff --git a/net-p2p/p2pool/p2pool-4.0.ebuild b/net-p2p/p2pool/p2pool-4.0.ebuild
new file mode 100644
index 000000000..e54bdb685
--- /dev/null
+++ b/net-p2p/p2pool/p2pool-4.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Decentralized pool for Monero mining"
+HOMEPAGE="https://p2pool.io";
+SRC_URI=" 
https://github.com/SChernykh/p2pool/releases/download/v${PV}/p2pool_source.tar.xz
 -> ${P}.tar.xz"
+
+LICENSE="BSD GPL-3+ ISC LGPL-3+ MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+       dev-libs/libsodium
+       net-libs/czmq
+"
+
+src_unpack() {
+       unpack ${P}.tar.xz
+       mv -T "${WORKDIR}"/${PN} "${WORKDIR}"/${P} || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DWITH_RANDOMX=OFF
+               -DWITH_GRPC=OFF
+       )
+
+       cmake_src_configure
+}
+
+src_install(){
+       dobin "${BUILD_DIR}/p2pool"
+}
+
+pkg_postinst() {
+       #Some important wisdom taken from P2Pool documentation
+       ewarn "P2Pool for Monero is now installed."
+       ewarn "You can run it by doing 'p2pool --host 127.0.0.1 --wallet 
YOUR_PRIMARY_ADDRESS'"
+       ewarn "Where 127.0.0.1 is the address of a local monero node (e.g. 
monerod)"
+       ewarn ""
+       ewarn "Once configured, point your RandomX miner (e.g. XMRig) at p2pool"
+       ewarn "For example 'xmrig -o 127.0.0.1:3333'"
+       ewarn ""
+       ewarn "You MUST use your primary address when using p2pool, just like 
solo mining."
+       ewarn "If you want privacy, create a new mainnet wallet for P2Pool 
mining."
+       ewarn ""
+       ewarn "Rewards will not be visibile unless you use a wallet that 
supports P2Pool."
+       ewarn "See https://p2pool.io/#help and 
https://github.com/SChernykh/p2pool for more information."
+}

Reply via email to